package com.me.pacman.entity;

import com.badlogic.gdx.math.Vector2;
import com.me.pacman.entity.ai.ClydeChaseBehaviour;
import com.me.pacman.entity.ai.StaticTargetBehaviour;
import com.me.pacman.entity.ai.Target;
import com.me.pacman.state.PlayState;

public class Clyde extends Ghost {

    public static final Target SCATTER_TARGET = new Target(1, -1);

    public static final int DOT_LIMIT = 60;

    public Clyde(PlayState state, Vector2 pos, Direction direction) {
        super(state, pos, direction, 3, new ClydeChaseBehaviour(state), new StaticTargetBehaviour(state, SCATTER_TARGET), true);
    }

    @Override
    public void update(float dt) {
        if (inHouse) {
            if (state.pelletsEatenSinceDeathCounterEnabled) {
                if (state.pelletsEatenSinceDeath >= 32) {
                    state.pelletsEatenSinceDeathCounterEnabled = false;
                }
            } else if (pelletCounter >= DOT_LIMIT) {
                leaveHouse();
            }
        }
        super.update(dt);
    }


}
